Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode`, `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getErrorHandlingProcessInstanceId()` | `optional int64 error_handling_process_instance_id = 3;`
    `long` | `getTimerInstanceId​(int index)` | `repeated int64 timer_instance_id = 2;`
    `int` | `getTimerInstanceIdCount()` | `repeated int64 timer_instance_id = 2;`
    `List<Long>` | `getTimerInstanceIdList()` | `repeated int64 timer_instance_id = 2;`
    `long` | `getWorkItemId()` | `optional int64 work_item_id = 1;`
    `boolean` | `hasErrorHandlingProcessInstanceId()` | `optional int64 error_handling_process_instance_id = 3;`
    `boolean` | `hasWorkItemId()` | `optional int64 work_item_id = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasWorkItemId

          boolean hasWorkItemId()

      `optional int64 work_item_id = 1;`

    - #### getWorkItemId

          long getWorkItemId()

      `optional int64 work_item_id = 1;`

    - #### getTimerInstanceIdList

          List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 2;`

    - #### getTimerInstanceIdCount

          int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 2;`

    - #### getTimerInstanceId

          long getTimerInstanceId​(int index)

      `repeated int64 timer_instance_id = 2;`

    - #### hasErrorHandlingProcessInstanceId

          boolean hasErrorHandlingProcessInstanceId()

      `optional int64 error_handling_process_instance_id = 3;`

    - #### getErrorHandlingProcessInstanceId

          long getErrorHandlingProcessInstanceId()

      `optional int64 error_handling_process_instance_id = 3;`